for dir in ./ca-GrQc ./wiki-Vote ./as20000102
do
  rm .data
  for file in $dir/*
  do
    sample=${file##*/}; sample=${sample%.err};
    err=`tail -1 $file`
    printf "%5d %.12f\n" $sample $err >> .data
  done
  cat .data | sort > ${dir##*/}.txt
done
rm .data

gnuplot <<EOF
set size ratio 0.8 0.8
set term eps enhanced color
set output '../sample-vs-error.eps'
set yrange [1e-7:1e-2]; 
set xrange [10:10000]; 
set logscale x
set logscale y
set xlabel "Number of Samples"
set ylabel "Mean Squared Error"
set format y "10^{%L}"; 
plot \
     'as20000102.txt' with linespoint title 'as20000102', \
     'ca-GrQc.txt' with linespoint title 'ca-GrQc', \
     'wiki-Vote.txt' with linespoint title 'wiki-Vote', \
     0.05/x title '1/R'
EOF
